Vue Component & Quasar App Extension ZHWebComponents
===

Vue Component Library in ZH Web design

Wünsche an: michel.binder@statistik.ji.zh.ch

Demo: [DemoPage](https://internet-acc.zh.ch/de/schulungen/schulung-27012020/zh-vuecomponents-testseite.html)

Oder Extern (Nicht im LeuNet): [Extern DemoPage](https://www.wahlen.zh.ch/wahlen2019/zhweb2/dist/index.html)

# Install
```bash
npm add git+https://www.dev.statistik.zh.ch:3000/STAT.DE/ZHWebComponents.git
```
Add it with npm from gitea repository

```bash
quasar ext invoke zhwebcomponents
```
Quasar CLI will retrieve it from NPM and install the extension.

# Develop
```bash
npm add file://../ZHWebComponents
```
Add it with npm from local copy

```bash
quasar ext invoke zhwebcomponents
```
Quasar CLI will retrieve it from NPM and install the extension.

## To add Documentation
in YourPage.vue
```bash
<template>
  <div>
    <zh-docs />
    <zh-svg-icons />
  </div>
</template>
```

for page routes (in your routes.js)
```bash
{ path: ':tab?', component: () => import('pages/YourPage.vue') }
```

# Update
```bash
npm add git+https://www.dev.statistik.zh.ch:3000/mbinder/ZHWebComponents.git
```
or
```bash
npm add file://../ZHWebComponents
```

# Uninstall
```bash
quasar ext remove zhwebcomponents
```
Quasar CLI will uninstall the extension.

