import Vue from 'vue'

// atom
import ZChip from '../component/atom/ZChip.vue'
import ZInput from '../component/atom/ZInput.vue'
import ZInputNumber from '../component/atom/ZInputNumber.vue'
import ZSelect from '../component/atom/ZSelect.vue'
import ZMap from '../component/atom/ZMap.vue'
import ZJaNein from '../component/atom/ZJaNein.vue'
import ZCard from '../component/atom/ZCard.vue'

// dev
import Docs from '../component/dev/Docs.vue'
import Codeblock from '../component/dev/Codeblock.vue'

// atom
Vue.component('z-chip', ZChip)
Vue.component('z-input', ZInput)
Vue.component('z-input-number', ZInputNumber)
Vue.component('z-select', ZSelect)
Vue.component('z-map', ZMap)
Vue.component('z-ja-nein', ZJaNein)
Vue.component('z-card', ZCard)

// dev
Vue.component('docs', Docs)
Vue.component('codeblock', Codeblock)
